@font-face {
  font-family: "Inter";
  src: url("/assets/fonts/Inter_18pt-Medium.ttf");
  font-weight: 500;
}

@font-face {
  font-family: "Inter";
  src: url("/assets/fonts/Inter_18pt-Regular.ttf");
  font-weight: 400;
}

:root {
  --main-color: #000000e5;
  --main-bg-color: #e6e6e6;
  --main-border-color: #cdcdcd;
  --button-bg-color: #114b99de;
  --button-hover-bg-color: #0e4081de;
  --button-delete-bg-color: #cf2828de;
  --button-delete-hover-bg-color: #b82323de;
  --light-bg-color: #eeeeee;
}

[v-cloak] {
  display: none;
}

body {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  display: grid;
  grid-template-rows: 4rem calc(100vh - 6rem - 1px) 2rem;
  margin: 0;
  background-color: var(--main-bg-color);
  background: linear-gradient(138deg, #e6e6e6, #d9d9d9);
  color: var(--main-color);
}

h1,
h2,
h3,
h4 {
  font-weight: 500;
}

a {
  color: var(--button-bg-color);
}

button {
  padding: 0.5rem 1rem;
  border-radius: 0.4em;
  background-color: var(--button-bg-color);
  /* background: linear-gradient(315deg, #2b255d, #31268c); */
  border: none;
  font-family: "Inter", sans-serif;
  color: white;
  white-space: nowrap;
}

button:hover {
  background-color: var(--button-hover-bg-color);
}

button.delete,
.button.delete {
  color: white;
  background-color: var(--button-delete-bg-color);
}

button.delete:hover,
.button.delete:hover {
  background-color: var(--button-delete-hover-bg-color);
}

button.rounded-icon {
  width: 32px;
  height: 32px;
  padding: 0;
  border-radius: 5em;
  display: flex;
  align-items: center;
  justify-content: center;
}

button:disabled {
  background-color: #b7a8a8;
  cursor: not-allowed;

}

.loader {
  position: absolute;
  top: 93px;
  left: calc(50% - 20px);
  width: 32px;
  height: 32px;
  border: 5px solid #FFF;
  border-bottom-color: #cf2828de;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

body * {
  box-sizing: border-box;
}

header.main {
  display: flex;
  align-items: center;
  justify-content: space-between;
  grid-column: 1 / -1;
  grid-row: 1;
  border-bottom: 1px solid var(--main-border-color);
  background-color: var(--light-bg-color);
  padding: 0.5rem 2rem;
}

.logo {
  display: flex;
  align-items: center;
  /* gap: 0.5rem; */
  /* margin-right: 1em; */
}

header h1 {
  margin: 0;
}

nav {
  display: flex;
  flex-direction: column;
  border-right: 1px solid var(--main-border-color);
  background: linear-gradient(315deg, #1a1542, #31268c);
  margin: 1rem 0 1rem 1rem;
  border-radius: 1rem;
  padding: 2rem;
}

nav .nav-item {
  display: flex;
  align-items: center;
  gap: 0.5em;
  margin: 0 0 0.75rem;
  padding: 0.5rem 0.75rem;
  background-color: rgba(255, 255, 255, 0.1);
  text-decoration: none;
  color: white;
  border-radius: 0.5em;
}

nav .nav-item:hover {
  background-color: rgba(255, 255, 255, 0.05);
  cursor: default;
}

main {
  min-height: calc(100vh - 8rem);
  overflow-y: auto;
  padding: 2rem;
}

footer {
  display: flex;
  align-items: center;
  grid-column: 1 / -1;
  border-top: 1px solid var(--main-border-color);
  padding: 0 2rem;
}

footer p {
  margin: 0;
}

@media screen and (min-width: 768px) {
  body {
    grid-template-columns: 20rem auto;
  }
}

/* Forms */

.loginform {
  grid-column: 1 /-1;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 400px;
  height: fit-content;
  margin: 5rem auto;
  padding: 0 0 3rem 0;
  gap: 1rem;
  background-color: var(--light-bg-color);
  border: 1px solid var(--main-border-color);
  border-radius: 0.5rem;
}

.loginform header {
  width: 100%;
  border-bottom: 1px solid var(--main-border-color);
  justify-items: center;
  justify-content: center;
  color: var(--button-delete-bg-color);
}

.loginform div {
  margin-left: 3rem;
  margin-right: 3rem;
  text-align: center;
}

.saveUserForm {
  display: flex;
  gap: 1rem;
  align-items: flex-end;
  justify-content: space-between;
}

label {
  display: flex;
  flex-direction: column;
  gap: 0.1em;
  flex: 1;
}

input,
select {
  padding: 0.5em;
  border-radius: 0.3em;
  border: 1px solid var(--main-border-color);
  border-radius: 0.3em;
}

/* Table */

thead {
  font-weight: 500;
}

td {
  border-bottom: 1px solid var(--main-border-color);
  border-collapse: collapse;
  padding: 0.5em 1em;
}

/* Card */

.card {
  margin: 1rem 0;
  padding: 1rem;
  border: 1px solid var(--main-border-color);
  background-color: #eeeeee;
  border-radius: 0.5em;
  width: 100%;
  box-sizing: border-box;
}

/* Notice */
.notice-wrapper {
  display: flex;
  gap: 1rem;
  width: auto;
  justify-content: space-between;
  align-items: flex-start;
  border-left: 5px solid;
}

.notice-wrapper.success {
  border-left-color: green;
}

.notice-wrapper.forbidden {
  border-left-color: orange;
}

.notice-wrapper.error {
  border-left-color: red;
}

/* Avatar */
.avatar {
  display: flex;
  align-items: center;
  gap: 0.3em;
}

.logout-wrapper {
  display: flex;
  align-items: center;
  gap: 2em;
}